/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLTextAreaElement_H__
#define __GdomHTMLTextAreaElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLTextAreaElement GdomHTMLTextAreaElement;
typedef struct _GdomHTMLTextAreaElementClass GdomHTMLTextAreaElementClass;


#define GDOM_TYPE_HTML_TEXT_AREA_ELEMENT            (gdom_html_text_area_element_get_type())
#define GDOM_HTML_TEXT_AREA_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_TEXT_AREA_ELEMENT, GdomHTMLTextAreaElement))
#define GDOM_HTML_TEXT_AREA_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_TEXT_AREA_ELEMENT, GdomHTMLTextAreaElement)Class)
#define GDOM_IS_HTML_TEXT_AREA_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_TEXT_AREA_ELEMENT))
#define GDOM_IS_HTML_TEXT_AREA_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_TEXT_AREA_ELEMENT))
#define GDOM_HTML_TEXT_AREA_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_TEXT_AREA_ELEMENT, GdomHTMLTextAreaElementClass))

typedef struct _GdomHTMLTextAreaElementPrivate GdomHTMLTextAreaElementPrivate;

struct _GdomHTMLTextAreaElement {
    GdomHTMLElement parent_instance;
    GdomHTMLTextAreaElementPrivate *priv;
};

struct _GdomHTMLTextAreaElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_text_area_element_get_type (void);

WEBKIT_API void
gdom_html_text_area_element_select (GdomHTMLTextAreaElement *thiz);

WEBKIT_API void
gdom_html_text_area_element_set_selection_range (GdomHTMLTextAreaElement *thiz, glong start, glong end);

G_END_DECLS

#endif /* __GdomHTMLTextAreaElement_H__ */
